import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SharedModule } from '../shared/shared.module';
import { AgentRoutingModule } from './agent-routing.module';
import { AgentHomePageComponent } from './pages/home-page/home-page.component';
import { PassengersComponent } from './pages/passengers/passengers.component';
import { ReservationsComponent } from './pages/reservations/reservations.component';
import { PassengerAddComponent } from './pages/passenger-add/passenger-add.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { HttpClientModule } from '@angular/common/http';
import { ReservationAddComponent } from './pages/reservation-add/reservation-add.component';
import { BaseInformationComponent } from './components/base-information/base-information.component';
import { FlightInformationComponent } from './components/flight-information/flight-information.component';
import { SummaryInformationComponent } from './components/summary-information/summary-information.component';

@NgModule({
  declarations: [
    AgentHomePageComponent,
    PassengersComponent,
    ReservationsComponent,
    PassengerAddComponent,
    ReservationAddComponent,
    BaseInformationComponent,
    FlightInformationComponent,
    SummaryInformationComponent
  ],
  imports: [
    CommonModule,
    SharedModule,
    AgentRoutingModule,
    HttpClientModule,
    ReactiveFormsModule,
    FormsModule,
  ],
  exports:[
    AgentRoutingModule,
  ]
})
export class AgentModule { }
