import { Component, OnInit } from '@angular/core';
import { TableModel } from 'src/app/shared/interfaces/table-model.interface';
import { BookingService } from '../../services/booking.service';
import { Booking } from '../../interfaces/booking.interface';
import { ResultDelete } from 'src/app/shared/interfaces/result-delete.interface';

@Component({
  selector: 'app-reservations',
  templateUrl: './reservations.component.html',
  styleUrls: ['./reservations.component.css']
})
export class ReservationsComponent implements OnInit{

  tableData: Booking[] = [];

  tableModel: TableModel[] = [
    {
      name: 'id',
      title: '#'
    },
    {
      name: 'passengerId',
      title: 'Pasajero'
    },
    {
      name: 'typeTicket',
      title: 'Tipo de Tiquete'
    },
    {
      name: 'class',
      title: 'Clase'
    },
    {
      name: 'status',
      title: 'Estado'
    }
  ];

  constructor(private bookingService: BookingService) { }

  ngOnInit(): void {
    this.getAll();
  }

  getAll(): void {
    this.bookingService.getAll()
      .subscribe(bookings => this.tableData = bookings);
  }

  onDelete(result: ResultDelete): void {
    if (!result.result) return;
    this.bookingService.delete(result.id)
      .subscribe(() => this.getAll());
  }
}
