import { Injectable } from '@angular/core';
import { HttpClient } from '@angular/common/http';
import { Observable } from 'rxjs';
import { Booking } from '../interfaces/booking.interface';

@Injectable({providedIn: 'root'})
export class BookingService {
  constructor(private httpClient: HttpClient) { }

  private BASE_URL: string = 'http://localhost:3000/bookings';

  getAll(): Observable<Booking[]> {
    return this.httpClient.get<Booking[]>(this.BASE_URL);
  }

  getById(id: number): Observable<Booking> {
    return this.httpClient.get<Booking>(`${this.BASE_URL}/${id}`);
  }

  save(booking: Booking): Observable<Booking> {
    return this.httpClient.post<Booking>(this.BASE_URL, booking);
  }

  edit(id: number, booking: Booking): Observable<Booking> {
    return this.httpClient.put<Booking>(`${this.BASE_URL}/${id}`, booking);
  }

  delete(id: number): Observable<Booking> {
    return this.httpClient.delete<Booking>(`${this.BASE_URL}/${id}`);
  }
}
