import { FormGroup, FormControl, Validators } from "@angular/forms";

const nameLenght = { min: 3, max: 20 };
const secondNameLenght = { min: 0, max: 20 };
const lastnameLenght = { min: 3, max: 30 };
const countryLenght = { min: 3, max: 30 };
const cityLenght = { min: 3, max: 30 };
const addressLenght = { min: 3, max: 100 };
const phoneLenght = { min: 3, max: 11 };
const emailLenght = { min: 3, max: 100 };
const passwordLenght = { min: 3, max: 45 };

export const PASSENGER_VALIDATORS = new FormGroup({
  name: new FormControl('', [Validators.required, Validators.minLength(nameLenght.min), Validators.maxLength(nameLenght.max)]),
  secondName: new FormControl('', [Validators.maxLength(secondNameLenght.max)]),
  lastname: new FormControl('', [Validators.required, Validators.minLength(lastnameLenght.min), Validators.maxLength(lastnameLenght.max)]),
  country: new FormControl('', [Validators.required, Validators.minLength(countryLenght.min), Validators.maxLength(countryLenght.max)]),
  city: new FormControl('', [Validators.required, Validators.minLength(cityLenght.min), Validators.maxLength(cityLenght.max)]),
  address: new FormControl('', [Validators.required, Validators.minLength(addressLenght.min), Validators.maxLength(addressLenght.max)]),
  phone: new FormControl('', [Validators.required, Validators.minLength(phoneLenght.min), Validators.maxLength(phoneLenght.max)]),
  email: new FormControl('', [Validators.required, Validators.minLength(emailLenght.min), Validators.maxLength(emailLenght.max)]),
  password: new FormControl('', [Validators.required, Validators.minLength(passwordLenght.min), Validators.maxLength(passwordLenght.max)])
});

export const getPassengerValidatorLenght = (field: string) => {
  switch (field) {
    case 'name':
      return nameLenght;
    case 'secondName':
      return secondNameLenght;
    case 'lastname':
      return lastnameLenght;
    case 'country':
      return countryLenght;
    case 'city':
      return cityLenght;
    case 'address':
      return addressLenght;
    case 'phone':
      return phoneLenght;
    case 'email':
      return emailLenght;
    case 'password':
      return passwordLenght;
    default:
      return { min: 0, max: 0 };
  }
}
