import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { SidebarComponent } from './components/sidebar/sidebar.component';
import { RouterModule } from '@angular/router';
import { NavigationComponent } from './components/navigation/navigation.component';
import { MailBoxComponent } from './components/mail-box/mail-box.component';
import { TableComponent } from './components/table/table.component';
import { TableFiltersComponent } from './components/table-filters/table-filters.component';
import { NavigationUserComponent } from './components/navigation-user/navigation-user.component';
import { FooterComponent } from './components/footer/footer.component';
import { DeleteDialogComponent } from './components/delete-dialog/delete-dialog.component';
import { DialogComponent } from './components/dialog/dialog.component';
import { InputValidatorComponent } from './components/input-validator/input-validator.component';
import { StepperComponent } from './components/stepper/stepper.component';
import { InputSelectorComponent } from './components/input-selector/input-selector.component';
import { TableSearchComponent } from './components/table-search/table-search.component';
import { TablePaginatorComponent } from './components/table-paginator/table-paginator.component';
import { InputCalendarComponent } from './components/input-calendar/input-calendar.component';
import { InputDropdownComponent } from './components/input-dropdown/input-dropdown.component';
import { PanelMenuComponent } from './components/panel-menu/panel-menu.component';



@NgModule({
  declarations: [
    SidebarComponent,
    NavigationComponent,
    MailBoxComponent,
    TableComponent,
    TableFiltersComponent,
    NavigationUserComponent,
    FooterComponent,
    DeleteDialogComponent,
    DialogComponent,
    InputValidatorComponent,
    StepperComponent,
    InputSelectorComponent,
    TableSearchComponent,
    TablePaginatorComponent,
    InputCalendarComponent,
    InputDropdownComponent,
    PanelMenuComponent
  ],
  imports: [
    CommonModule,
    RouterModule,
  ],
  exports: [
    SidebarComponent,
    NavigationComponent,
    MailBoxComponent,
    TableComponent,
    NavigationUserComponent,
    FooterComponent,
    DeleteDialogComponent,
    DialogComponent,
    InputValidatorComponent,
    StepperComponent,
    InputSelectorComponent,
    TablePaginatorComponent,
    TableSearchComponent,
    InputCalendarComponent,
    InputDropdownComponent,
    PanelMenuComponent
  ]
})
export class SharedModule { }
