import { Component, OnInit } from '@angular/core';
import { PanelItem } from '../../interfaces/panel-item.interface';
import { TableModel } from 'src/app/shared/interfaces/table-model.interface';
import { Airport } from 'src/app/agent/interfaces/airport.interface';
import { AirportsService } from 'src/app/agent/services/airports.service';
import { Airline } from '../../interfaces/airline.interface';
import { AirlineService } from '../../services/airline.service';

@Component({
  selector: 'app-flight-add',
  templateUrl: './flight-add.component.html',
  styleUrls: ['./flight-add.component.css']
})
export class FlightAddComponent implements OnInit {

  public panelItems: PanelItem[] = [
    {
      id: 1,
      title: 'Escalas',
    },
    {
      id: 2,
      title: 'Costos',
    }
  ];

  public flightModel: TableModel[] = [
    {
      name: 'id',
      title: '#'
    },
    {
      name: 'name',
      title: 'Nombre'
    },
    {
      name: 'location',
      title: 'Ubicación'
    },
    {
      name: 'code',
      title: 'Código'
    }
  ];

  public airlineModel: TableModel[] = [
    {
      name: 'id',
      title: '#'
    },
    {
      name: 'name',
      title: 'Nombre'
    },
    {
      name: 'code',
      title: 'Código'
    }
  ]

  public airports: Airport[] = [];

  public airlines: Airline[] = [];

  public panelItemActive: PanelItem = this.panelItems[0];

  onChangeItemActive(item: PanelItem) {
    this.panelItemActive = item;
  }

  constructor(private airportsService: AirportsService,
    private airlinesService: AirlineService) { }

  ngOnInit(): void {
    this.airportsService.getAll()
      .subscribe(airports => this.airports = airports);

    this.airlinesService.getAll()
      .subscribe(airlines => this.airlines = airlines);
  }
}
