import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { HomePageComponent } from './pages/home-page/home-page.component';
import { FlightConfigComponent } from './pages/flight-config/flight-config.component';
import { AgentsComponent } from './pages/agents/agents.component';
import { AgentAddComponent } from './pages/agent-add/agent-add.component';
import { FlightAddComponent } from './pages/flight-add/flight-add.component';

const routes: Routes = [
    {
        path: '',
        title: 'Home',
        component: HomePageComponent,
        children: [
            {
                path: 'flight-config',
                title: 'Configuración de vuelos',
                component: FlightConfigComponent
            },
            {
              path: 'flight-config/new',
              title: 'Configuración de vuelos',
              component: FlightAddComponent
            },
            {
                path: 'agents',
                title: 'Agentes',
                component: AgentsComponent,
            },
            {
              path: 'agents/new',
              title: "Agentes",
              component: AgentAddComponent
            },
            {
              path: 'agents/edit/:id',
              title: "Agentes",
              component: AgentAddComponent
            }
        ]
    },
];

@NgModule({
    imports: [RouterModule.forChild(routes)],
    exports: [RouterModule],
})
export class SupervisorRoutingModule { }
